package com.sun.ts.tests.jpa.core.override.entity;

import javax.persistence.Entity;
import javax.persistence.Id;

@Entity(name = "NAMEONLYINANNOTATION")
public class NameOnlyInAnnotation implements java.io.Serializable {

    private Long id;

    public NameOnlyInAnnotation() {
    }

    @Id
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public int hashCode() {
        int hash = 0;
        hash += (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }

    public boolean equals(java.lang.Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof NameOnlyInAnnotation)) {
            return false;
        }
        NameOnlyInAnnotation other = (NameOnlyInAnnotation) object;
        if (this.id != other.id && (this.id == null || !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    public String toString() {
        return "com.sun.ts.tests.jpa.core.override.entity.NameOnlyInAnnotation[id=" + id + "]";
    }
}
